Package com.xebialabs.xlrelease.configuration

## Class ThemeSettings

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.configuration.ThemeSettings

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false)
      public class ThemeSettings
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `THEME_SETTINGS_ID` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThemeSettings()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getHeaderAccentColor()` |
    `java.lang.String` | `getHeaderAccentColorCode()` |
    `java.lang.String` | `getHeaderName()` |
    `java.lang.String` | `getLoginMessage()` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setHeaderAccentColor​(java.lang.String headerAccentColor)` |
    `void` | `setHeaderName​(java.lang.String headerName)` |
    `void` | `setLoginMessage​(java.lang.String loginMessage)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### THEME_SETTINGS_ID

          public static final java.lang.String THEME_SETTINGS_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThemeSettings

          public ThemeSettings()

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getHeaderAccentColor

          public java.lang.String getHeaderAccentColor()

    - #### setHeaderAccentColor

          public void setHeaderAccentColor​(java.lang.String headerAccentColor)

    - #### getHeaderName

          public java.lang.String getHeaderName()

    - #### setHeaderName

          public void setHeaderName​(java.lang.String headerName)

    - #### getHeaderAccentColorCode

          public java.lang.String getHeaderAccentColorCode()

    - #### getLoginMessage

          public java.lang.String getLoginMessage()

    - #### setLoginMessage

          public void setLoginMessage​(java.lang.String loginMessage)